Bug 987564 - yum update failed
yum update failed
Status: CLOSED DUPLICATE of bug 916257
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yum (Show other bugs)
6.1
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: packaging-team-maint
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-23 12:31 EDT by jinfang.wei
Modified: 2014-01-21 01:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 02:12:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jinfang.wei 2013-07-23 12:31:27 EDT
Description of problem:
Yum update failed with the following messages:

Transaction Summary
================================================================================
Install      58 Package(s)
Upgrade    1040 Package(s)

Total download size: 1.1 G
Downloading Packages:

--------------------------------------------------------------------------------
Total                                           429 kB/s | 1.1 GB     45:04
warning: rpmts_HdrFromFdno: Header V3 RSA/SHA256 Signature, key ID fd431d51: NOKEY
Retrieving key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-release
Importing GPG key 0xFD431D51:
 Userid : Red Hat, Inc. (release key 2) <security@redhat.com>
 Package: redhat-release-server-6Server-6.1.0.2.el6.x86_64 (@anaconda-RedHatEnterpriseLinux-201105101844.x86_64/6.1)
 From   : /etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-release
Importing GPG key 0x2FA658E0:
 Userid : Red Hat, Inc. (auxiliary key) <security@redhat.com>
 Package: redhat-release-server-6Server-6.1.0.2.el6.x86_64 (@anaconda-RedHatEnterpriseLinux-201105101844.x86_64/6.1)
 From   : /etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-release
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
libqpidclient.so.5()(64bit) is needed by (installed) matahari-net-0.4.0-5.el6.x86_64
libqpidcommon.so.5()(64bit) is needed by (installed) matahari-net-0.4.0-5.el6.x86_64
libmcommon.so.0.0.1()(64bit) is needed by (installed) matahari-net-0.4.0-5.el6.x86_64
libmnet.so.0.0.1()(64bit) is needed by (installed) matahari-net-0.4.0-5.el6.x86_64
matahari-lib = 0.4.0-5.el6 is needed by (installed) matahari-net-0.4.0-5.el6.x86_64
libmqmfagent.so.0.0.1()(64bit) is needed by (installed) matahari-net-0.4.0-5.el6.x86_64
matahari-agent-lib = 0.4.0-5.el6 is needed by (installed) matahari-net-0.4.0-5.el6.x86_64
Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%206&component=yum
 You could try running: rpm -Va --nofiles --nodigest
Your transaction was saved, rerun it with: yum load-transaction /tmp/yum_save_tx-2013-07-23-11-15gS_Jrj.yumtx


Version-Release number of selected component (if applicable):
6.1

How reproducible:

run "yum -y update"

Steps to Reproduce:
1.run "yum -y update" in a new 6.1 machine after registerring the machine in RHN.
2.
3.

Actual results:


Expected results:
should get update complete

Additional info:
Comment 1 jinfang.wei 2013-07-23 15:15:51 EDT
I removed matahari-net packages, run "yum clean all", then rerun "yum -y update".  It was successful this time.

This can be closed.
Comment 2 Jan Zeleny 2013-07-24 02:12:10 EDT

*** This bug has been marked as a duplicate of bug 916257 ***

Note You need to log in before you can comment on or make changes to this bug.